public class AffichageEntiersPairsEnConsole {

/* Affichage de tous les entiers pairs entre 0 et n */

  static void afficherEntiersPairs(int n) {
    int i;
    for ( i = 0 ; i <= n ; i = i+2 ) {
      Console.afficher(i," "); }
  }

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("AffichageEntiersPairs");
    int n;
    Console.afficher("SVP, n : ");
    n = Console.saisirInt();
    afficherEntiersPairs(n);
    Console.afficherln();
  }
}